Bug 1529459 - missing dependency on php-mikey179-vfsstream
Summary: missing dependency on php-mikey179-vfsstream
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: php-cs-fixer
Version: 27
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Remi Collet
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-12-28 08:08 UTC by François Kooman
Modified: 2018-01-04 23:58 UTC (History)
1 user (show)

Fixed In Version: php-cs-fixer-2.9.0-2.fc27
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-01-04 23:58:53 UTC
Type: Bug


Attachments (Terms of Use)

Description François Kooman 2017-12-28 08:08:43 UTC
Description of problem:

$ php-cs-fixer fix
PHP Fatal error:  Uncaught RuntimeException: File not found: '/usr/share/php/org/bovigo/vfs/autoload.php' in /usr/share/php/Fedora/Autoloader/functions.php:58
Stack trace:
#0 /usr/share/php/Fedora/Autoloader/Dependencies.php(78): Fedora\Autoloader\requireFile('/usr/share/php/...')
#1 /usr/share/php/Fedora/Autoloader/Dependencies.php(100): Fedora\Autoloader\Dependencies::process(Array, true)
#2 /usr/share/php/PhpCsFixer/autoload.php(66): Fedora\Autoloader\Dependencies::required(Array)
#3 /usr/bin/php-cs-fixer(42): require_once('/usr/share/php/...')
#4 {main}
  thrown in /usr/share/php/Fedora/Autoloader/functions.php on line 58

Version-Release number of selected component (if applicable):

php-cs-fixer-2.9.0-1.fc27.noarch

How reproducible:

Always

Steps to Reproduce:
1. update to 2.9.0
2. run php-cs-fixer fix


My .php_cs.dist file:

<?php

return PhpCsFixer\Config::create()
    ->setRiskyAllowed(true)
    ->setRules(
        [
            '@Symfony' => true,
            '@Symfony:risky' => true,
            'ordered_imports' => true,
            'ordered_class_elements' => true,
            'array_syntax' => ['syntax' => 'short'],
            'phpdoc_order' => true,
            'phpdoc_no_empty_return' => false,
            'phpdoc_add_missing_param_annotation' => true,
            'strict_comparison' => true,
            'strict_param' => true,
            'php_unit_strict' => true,
        ]
    )
    ->setFinder(PhpCsFixer\Finder::create()->in(__DIR__));

Comment 2 Fedora Update System 2017-12-28 08:21:30 UTC
php-cs-fixer-2.9.0-2.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-584fd398b2

Comment 3 Remi Collet 2017-12-28 08:29:06 UTC
Thanks for the notice, this dependency is only required at buildtime, so should have been added only in autoloader used for test, not in the one used at runtime.

Should be fixed now, please try the new build (with php-mikey179-vfsstream removed)

Comment 4 Fedora Update System 2017-12-29 19:31:30 UTC
php-cs-fixer-2.9.0-2.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-584fd398b2

Comment 5 Fedora Update System 2018-01-04 23:58:53 UTC
php-cs-fixer-2.9.0-2.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.